TechDraw "Добавить вспомогательную вершину"

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw CosmeticVertex and the translation is 56% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский

TechDraw CosmeticVertex.svg Добавить вспомогательную вершину

Системное название
TechDraw_CosmeticVertex
Расположение в меню
TechDraw → Добавить Вершины → Добавить вспомогательную вершину
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Добавить вершины по центрам граней, Добавить 4-ре вершины по краям окружности

Описание

The Cosmetic Vertex tool adds a Vertex, which is not part of the source geometry, to a View. This Vertex behaves like any other vertex and can be used for dimensioning.

TechDraw CosmeticVertex Sample.png

Cosmetic Vertex used to create an otherwise impossible Dimension

Применение

  1. Select a view in the drawing.
  2. Press the TechDraw CosmeticVertex.svg Add Cosmetic Vertex button
  3. A task dialog will open. It allows to set location of the Cosmetic Vertex either by picking a point or by entering an x,y-offset from the center of the selected view.
  4. To pick a position, press the button Point Picker. Click to a position in the view and subsequently press OK to create the point. To exit the point picking without creating a Cosmetic Vertex, press the Escape picking button in the dialog.

To delete a Cosmetic Vertex, select it and use the toolbar button TechDraw CosmeticEraser.svg Remove Cosmetic Object.

Note: You cannot change the location of the Cosmetic Vertex after it has been created. At the moment there is no other way than to delete it and creating a new one.

Свойства

Cosmetic Vertices have no properties of their own, as they are no document objects. They share color and size settings with regular geometry vertices.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

Cosmetic Vertices are available to macros or the Python console.

dvp = App.ActiveDocument.View
org = App.Vector(0.0, 0.0, 0.0)
dvp.makeCosmeticVertex(org);

#lines too!
start = FreeCAD.Vector (1.0, 5.0, 0.0)
end = FreeCAD.Vector(1.0, -5.0, 0.0)
style = 2
weight = 0.75
pyGreen = (0.0, 0.0, 1.0, 0.0)
dvp.makeCosmeticLine(start,end,style, weight, pyGreen)